Bug 1249757 - CVE-2015-5166 xen: Qemu: BlockBackend object use after free issue [fedora-all]
CVE-2015-5166 xen: Qemu: BlockBackend object use after free issue [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
22
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Young
Fedora Extras Quality Assurance
: Reopened, Security, SecurityTracking
Depends On:
Blocks: CVE-2015-5166/xsa139
  Show dependency treegraph
 
Reported: 2015-08-03 13:35 EDT by Prasad J Pandit
Modified: 2015-09-26 23:22 EDT (History)
4 users (show)

See Also:
Fixed In Version: 4.5.1-6.fc23 xen-4.4.3-3.fc21 xen-4.5.1-8.fc22
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-26 17:50:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2015-08-03 13:35:05 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Prasad J Pandit 2015-08-03 13:35:14 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1248997,1249757

# Description of your update
notes=Security fix for CVE-2015-5166

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1248997,1249757
Comment 2 Fedora Update System 2015-08-26 17:08:33 EDT
xen-4.5.1-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14361
Comment 3 Fedora Update System 2015-08-26 17:13:00 EDT
xen-4.5.1-6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14362
Comment 4 Fedora Update System 2015-08-26 17:16:05 EDT
xen-4.4.3-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14363
Comment 5 Fedora Update System 2015-08-28 14:53:20 EDT
xen-4.4.3-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update xen'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14363
Comment 6 Fedora Update System 2015-08-28 14:57:59 EDT
xen-4.5.1-6.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update xen'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14362
Comment 7 Fedora Update System 2015-08-31 14:53:19 EDT
xen-4.5.1-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update xen'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14361
Comment 8 Fedora Update System 2015-09-01 14:31:10 EDT
xen-4.5.1-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-09-15 16:08:01 EDT
xen-4.5.1-8.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15944
Comment 10 Fedora Update System 2015-09-15 17:03:39 EDT
xen-4.4.3-3.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15946
Comment 11 Fedora Update System 2015-09-16 21:01:56 EDT
xen-4.4.3-3.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update xen'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15946
Comment 12 Fedora Update System 2015-09-16 21:05:45 EDT
xen-4.5.1-8.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update xen'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15944
Comment 13 Fedora Update System 2015-09-26 17:49:50 EDT
xen-4.4.3-3.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-09-26 23:22:18 EDT
xen-4.5.1-8.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.